Установка пакетов Caret и ggplot2 в R 3.2.5

r ggplot2

761 просмотра

2 ответа

50 Репутация автора

Я только что установил новую версию R studio 3.2.5, чтобы установить пакеты caret и ggplot2, однако я всегда сталкиваюсь с одними и теми же ошибками и не совсем уверен, в чем проблема.

library(caret)
Loading required package: lattice
Loading required package: ggplot2
Error in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]) : 
  there is no package called ‘Rcpp’
Error: package ‘ggplot2’ could not be loaded**

После этого сообщения я install.packages("ggplot2")

и это проявляется

library(ggplot2)
Error in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]) : 
  there is no package called ‘Rcpp’
Error: package or namespace load failed for ‘ggplot2’**

У кого-нибудь есть предложения?

Автор: AlleyCat Источник Размещён: 18.07.2016 03:19

Ответы (2)


1 плюс

630 Репутация автора

попробуй это

install.packages("ggplot2", dependencies = TRUE)
Автор: Dinesh.hmn Размещён: 18.07.2016 03:26

0 плюса

63 Репутация автора

Я также получил ту же ошибку, и я попробовал много способов, приведенных в различных решениях. одно решение, которое сработало

install.packages("stringi")

Затем это приводит к ошибкам, указывающим на отсутствие некоторых зависимых библиотек. Установите эти библиотеки, это будет работать.

Автор: Marison Размещён: 21.07.2018 05:22
Вопросы из категории :
32x32